@import 'nav.css';
@import 'footer.css';

.btn{
    display: inline-block;
    background: #383838;
    color: #fff;
    padding: 10px 25px;
    margin: 30px 0;
    border-radius: 15px;
    transition: 0.5s;
    text-decoration: none;
    font-size: 20px;
}

.btn:hover{
    background:maroon;
}

.slogan{
    text-align: center;
    color: #383838;
}

.slogan h1{
    font-size: 60px;
    font-family: cursive;
}

.product{
    position: relative;
    overflow: hidden;
    padding: 20px 0;
}

.product-category{
    padding: 0 10vw;
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 20px;
}

.product-container{
    padding: 0 10vw;
    display: flex;
    overflow-x: auto;
    scroll-behavior: smooth;
}

.product-container::-webkit-scrollbar{
    display: none;
}

.product-card{
    flex: 0 0 auto;
    width: 250px;
    height: 450px;
    margin-right: 40px;
    transition: 0.5s;
}

.product-card:hover{
    transform: translateY(-5px); 
}

.product-image{
    flex: 0 0 auto;
    height: 350px;
    width: 100%;
    position: relative;
    overflow: hidden;
    cursor: pointer;
}

.product-thumb{
    width: 100%;
    height: 350px;
    object-fit: cover;
}

.card-btn{
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    padding: 10px;
    width: 80%;
    text-transform: capitalize;
    border: none;
    outline: none;
    background: lightgray;
    border-radius: 10px;
    transition: 0.5s;
    cursor: pointer;
    opacity: 0;
    font-size: 15px;
}

.product-card:hover .card-btn{
    opacity: 1; 
}

.card-btn:hover{
    background: maroon;
    color: #fff;
}

.product-info{
    width: 100%;
    height: 100px;
    padding-top: 10px;
}

.product-name{
    text-transform: capitalize;
    font-size: 20px;
}

.pre-btn, .nxt-btn{
    border: none;
    width: 10vw;
    height: 100%;
    position: absolute;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, #fff 100%);
    cursor: pointer;
    z-index: 8;
}

.pre-btn{
    left: 0;
    transform: rotate(180deg);
}

.nxt-btn{
    right: 0;
}

.pre-btn img, .nxt-btn img{
    opacity: 0.2;
    transition: 0.5s;
}

.pre-btn:hover img, .nxt-btn:hover img{
    opacity: 1;
}

.categ{
    display: flex;
    align-items: center;
    padding: 0 8vw;
    justify-content: space-around;
    flex-wrap: wrap;
}

.items{
    flex-basis: 30%;
    padding: 10px;
    min-width: 250px;
    margin-bottom: 30px;
    transition: 0.5s;
    position: relative;
}

.items img{
    width: 110%;
}

.items:hover{
    transform: translateY(-5px);  
}

.items .btn{
    position: absolute;
    top: 75%;
    left: 70%;
    font-size: 17px;
}